﻿
 EXEC P_ALTERPK 'PK_HRCS_LABELPOLICY', 'T_HRCS_LABELPOLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELPOLICY_FLBLOBJID') CREATE INDEX IDX_HRCS_LABELPOLICY_FLBLOBJID ON T_HRCS_LABELPOLICY ( FLABELOBJECTID );


 EXEC P_ALTERPK 'PK_HRCS_LABELPOLICYRULE', 'T_HRCS_LABELPOLICYRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LBLPLCYRULE_FLBLOBJID') CREATE INDEX IDX_HRCS_LBLPLCYRULE_FLBLOBJID ON T_HRCS_LABELPOLICYRULE ( FLABELPOLICYID );


 EXEC P_ALTERPK 'PK_HRCS_LABELPOLICY_L', 'T_HRCS_LABELPOLICY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELPOLICY_L') CREATE INDEX IDX_HRCS_LABELPOLICY_L ON T_HRCS_LABELPOLICY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCS_LABELPOLICYTASK', 'T_HRCS_LABELPOLICYTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LBLPLCYTASK_FPOLICYID') CREATE INDEX IDX_HRCS_LBLPLCYTASK_FPOLICYID ON T_HRCS_LABELPOLICYTASK ( FLABELPOLICYID );


 EXEC P_ALTERPK 'PK_HRCS_LABELRESULT', 'T_HRCS_LABELRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LBLRSLT_FTASKNUMBER') CREATE INDEX IDX_HRCS_LBLRSLT_FTASKNUMBER ON T_HRCS_LABELRESULT ( FTASKNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LBLRSLT_FLBLPLCYID') CREATE INDEX IDX_HRCS_LBLRSLT_FLBLPLCYID ON T_HRCS_LABELRESULT ( FLABELPOLICYID );


 EXEC P_ALTERPK 'PK_HRCS_LABEL', 'T_HRCS_LABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABEL') CREATE INDEX IDX_HRCS_LABEL ON T_HRCS_LABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRCS_LABEL_L', 'T_HRCS_LABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABEL_L') CREATE INDEX IDX_HRCS_LABEL_L ON T_HRCS_LABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCS_LABELGROUP', 'T_HRCS_LABELGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELGROUP') CREATE INDEX IDX_HRCS_LABELGROUP ON T_HRCS_LABELGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRCS_LABELGROUP_L', 'T_HRCS_LABELGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELGROUP_L') CREATE INDEX IDX_HRCS_LABELGROUP_L ON T_HRCS_LABELGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCS_LABELOBJECTREL', 'T_HRCS_LABELOBJECTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELOBJECTREL_LABEL') CREATE INDEX IDX_HRCS_LABELOBJECTREL_LABEL ON T_HRCS_LABELOBJECTREL ( FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELOBJECTREL_OBJECT') CREATE INDEX IDX_HRCS_LABELOBJECTREL_OBJECT ON T_HRCS_LABELOBJECTREL ( FLABELOBJECTID );


 EXEC P_ALTERPK 'PK_HRCS_LABELVALUE', 'T_HRCS_LABELVALUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELVALUE_VALUE') CREATE INDEX IDX_HRCS_LABELVALUE_VALUE ON T_HRCS_LABELVALUE ( FLABELID );


 EXEC P_ALTERPK 'PK_HRCS_LABELVALUE_L', 'T_HRCS_LABELVALUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELVALUE_L') CREATE INDEX IDX_HRCS_LABELVALUE_L ON T_HRCS_LABELVALUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCS_LABELVALUERULE', 'T_HRCS_LABELVALUERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LABELVALUERULE') CREATE INDEX IDX_HRCS_LABELVALUERULE ON T_HRCS_LABELVALUERULE ( FLABELVALUEID );


 EXEC P_ALTERPK 'PK_HRCS_LABELPARAM', 'T_HRCS_LABELPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_LBLPRM_FLBLOBJID') CREATE INDEX IDX_HRCS_LBLPRM_FLBLOBJID ON T_HRCS_LABELPARAM ( FLABELOBJECTID ,FLABELID ,FLABELVALUE );