﻿/**Begin D:\utils\PDM_UPGRADE\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_ACTIVITYNODELOG')
CREATE TABLE T_HRCS_ACTIVITYNODELOG (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FEVENTTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                        FPRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FAFTERSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FWFPROCESSINSID BIGINT DEFAULT 0 NOT NULL,
                                        FWFNODEID VARCHAR(200) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME
);



/**End D:\utils\PDM_UPGRADE\PDM_UPGRADE\PDM1\HRCS_table.sql **/
/**Begin D:\utils\PDM_UPGRADE\PDM_UPGRADE\PDM1\HRCS_constraint.sql **/
EXEC P_ALTERPK 'PK_HRCS_ACTIVITYNODELOG', 'T_HRCS_ACTIVITYNODELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRCS_ACTNODELOG_FEVENTTYPE') CREATE INDEX IDX_HRCS_ACTNODELOG_FEVENTTYPE ON T_HRCS_ACTIVITYNODELOG ( FEVENTTYPE );



/**End D:\utils\PDM_UPGRADE\PDM_UPGRADE\PDM1\HRCS_constraint.sql **/
